import { EnumerationValue } from '@oinone/kunlun-shared';
import { FormEnumFieldAbstractWidget } from '../FormEnumFieldAbstractWidget';
export declare class FormEnumRadioWidget extends FormEnumFieldAbstractWidget<EnumerationValue> {
    initialize(props: any): this;
    protected get orientation(): string | undefined;
    protected get radioMode(): string | undefined;
    protected get allowClear(): any;
    protected get autocorrection(): boolean;
    protected get rowLimit(): any;
}
